List employee consumptions
Overview
Retrieves all confirmed transactions of a specific employee for the current payroll cycle.Important: By default, consumptions are returned for the current (open) payroll cycle. To retrieve a previous cycle, provide it through payroll property.
Important: The payload can be transformed depending oncategoriesandgroupBy. Choose the options that better suit your integration.
Important:categoryis a stable slug for core benefits (e.g.,meal-benefit). For custom benefits,categoryis the company-configured full name (e.g.,Wellness Bonus) and cannot be used to filter through thecategoriesquery parameter. See Consumption Reports for details.
Important: Fortext/csvwe can select two formats throughcsvFormatoptions. Whenlinesis selected, each row corresponds to a single consumption record. Whencolumnsis selected, each row corresponds to the total consumptions of an employee, and each consumption type is represented as a separate column.
Important: Incolumnsformat the consumption columns are derived from the data: a column only appears when there is consumption for it, so a missing column means there was no consumption. As an exception, whengroupBy=categoryandcategoriesare provided, the CSV is guaranteed to contain one column per requested category — in the same order as requested — with0when there is no consumption.
Important: if the requested payroll cycle is not closed yet, then the propertyExample responses based onendwill be the current date. Otherwise,endwill correspond to the last day of the cycle.
csvFormat and categories:
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The response file type. It can be application/json or text/csv.
application/json, text/csv Path Parameters
The unique identifier of the company
The unique identifier of the employee
Query Parameters
The unique identifier of the payroll cycle. If not provided, the open payroll cycle will be used. This parameter is deprecated, use payroll instead.
The fiscal year and month (YYYY-MM) of the payroll cycle the consumptions belong to (e.g. 2025-03).
^[0-9]{4}-(0[1-9]|1[0-2])$"2025-03"
The format of the resulting consumptions request. Lines: as many lines as benefits for each employee, Columns: one line for each employee and as many columns as benefits
In columns format the columns are derived from the data, so a missing column means no consumption. When combined with groupBy=category and categories, every requested category is guaranteed to appear as a column.
lines, columns List of benefit categories to include in the response. When requesting text/csv with csvFormat=columns and groupBy=category, every requested category is guaranteed to appear as a column, in the requested order, with 0 when there is no consumption.
Consumptions can be grouped to return data that is more similar to how your system works. The consumptions can be grouped by:
category: it will calculate the sum of expenses minus withdrawals for all the consumptions in a category,category,behaviour: sum of all expenses minus withdrawals for all the consumptions in category and behaviour.
Response
Employee consumptions successfully retrieved